#ifndef ERROR_H
#define ERROR_H

/*
 * @(#)Error.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include <stdarg.h>
#include <stdio.h>

class Error {
	char str[4 * 1024];

public:
	Error(const char *format, ...) {
		va_list ap;
		va_start(ap, format);
		vsprintf(str, format, ap);
		va_end(ap);
	}

	const char *toString() {
		return str;
	}
};

#endif
